Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.jgraph
Class DiagramToJGraphTransformer

    java.lang.Object
      biouml.plugins.jgraph.DiagramToJGraphTransformer

public class DiagramToJGraphTransformer
extends java.lang.Object

Converts BioUML diagram or its part into org.jgraph.graph for usage by graph layout algorithm. Produced layout is used to assign corresponding coordinates to diagram components.

Pendung:
  - compartment issues. It is suggested that the diagram has not compartments.

Field Summary
`protected static org.apache.log4j.Category` | `log`
`protected static java.lang.String` | `PRIMARY_NODE`

Constructor Summary
`DiagramToJGraphTransformer()`

Method Summary
`static void` | `applyLayout(Compartment diagram, org.jgraph.graph.GraphModel graph)`
`static org.jgraph.graph.GraphModel` | `generateGraph(Compartment diagram, Filter filter)` Generates graph for BioUML diagram or its part.
`static void` | `layout(Diagram diagram, ru.biosoft.graph.Layouter layouter, java.awt.Graphics g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIMARY_NODE

    protected static final java.lang.String PRIMARY_NODE

See Also:
  Constant Field Values

### log

    protected static org.apache.log4j.Category log

Constructor Detail

### DiagramToJGraphTransformer

    public DiagramToJGraphTransformer()

Method Detail

### layout

    public static void layout(Diagram diagram,
                              ru.biosoft.graph.Layouter layouter,
                              java.awt.Graphics g)

  To do:
    Implement layout

### generateGraph

    public static org.jgraph.graph.GraphModel generateGraph(Compartment diagram,
                                                            Filter filter)

  Generates graph for BioUML diagram or its part.

  Parameters:
    `filter` - - allows filter nodes and edges to be included in the graph.
  Pendung:
    - compartment issues. Compartments are treated as usual nodes, their internal elements are ignored, due to this reason some edges can be skipped.

### applyLayout

    public static void applyLayout(Compartment diagram,
                                   org.jgraph.graph.GraphModel graph)

  To do:
    Implement applyLayout()s

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.